package com.hxhq.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.annotation.Compare;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 试剂库存对象 t_sjkc
 *
 * @author HanLong
 * @date 2025-12-22
 */
@TableName("t_sj")
public class Sj extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 试验id */
    private Long studyId;

    /** 试验表单id */
    private Long studyFormId;

    /** 所属部门/学科 */
    private Long deptId;

    /** 制剂状态 1:入库 5:已锁定 7:待归档 9:归档 11:待解档 */
    private Integer zjzt;

    /** 借阅状态 1:未借阅 3:待借阅 5:借阅中 */
    private Integer jyzt;

    /** 所属部门 */
    private String ssbm;

    /** 名称 */
    @Compare(name = "名称")
    private String mc;

    /** 编号 */
    private String bh;

    /** 批号 */
    private String ph;

    /** 规格 */
    private String gg;

    /** 浓度/含量/纯度 */
    @Compare(name = "浓度/含量/纯度", nameEn = "Concentration/Purity")
    private String nd;

    /** 浓度单位 */
    @Compare(name = "浓度/含量/纯度单位", nameEn = "Concentration/Purity Unit")
    private String nddw;

    /** 库存数量 */
    @Compare(name = "库存数量", nameEn = "Inventory")
    private String kc;

    /** 库存单位 */
    @Compare(name = "库存单位", nameEn = "Inventory Unit")
    private String kcdw;

    /** 来源 */
    private String ly;

    /** 存储条件 */
    @Compare(name = "存储条件", nameEn = "Storage Condition")
    private String cctj;

    /** 存储位置 */
    @Compare(name = "存储位置", nameEn = "Storage Location")
    private String ccwz;

    /** 有效周期 */
    private String yxzq;

    /** 有效周期单位 */
    private String yxzqdw;

    /** 失效日 */
    @Compare(name = "失效日", nameEn = "Expiration")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sxr;

    /** 配置日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date pzrq;

    /** 借阅开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date jyksrq;

    /** 借阅结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date jyjsrq;

    /** 归档申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gdsqsj;

    /** 档案申请人id */
    private Long dasqrId;

    /** 母液编号 */
    private String parentBh;

    public String getParentBh() {
        return parentBh;
    }

    public void setParentBh(String parentBh) {
        this.parentBh = parentBh;
    }

    public Date getGdsqsj() {
        return gdsqsj;
    }

    public void setGdsqsj(Date gdsqsj) {
        this.gdsqsj = gdsqsj;
    }

    public Long getStudyId() {
        return studyId;
    }

    public void setStudyId(Long studyId) {
        this.studyId = studyId;
    }

    public Long getStudyFormId() {
        return studyFormId;
    }

    public void setStudyFormId(Long studyFormId) {
        this.studyFormId = studyFormId;
    }

    public void setZjzt(Integer zjzt)
    {
        this.zjzt = zjzt;
    }

    public Integer getZjzt()
    {
        return zjzt;
    }

    public void setJyzt(Integer jyzt)
    {
        this.jyzt = jyzt;
    }

    public Integer getJyzt()
    {
        return jyzt;
    }

    public void setMc(String mc)
    {
        this.mc = mc;
    }

    public String getMc()
    {
        return mc;
    }

    public void setBh(String bh)
    {
        this.bh = bh;
    }

    public String getBh()
    {
        return bh;
    }

    public void setPh(String ph)
    {
        this.ph = ph;
    }

    public String getPh()
    {
        return ph;
    }

    public void setGg(String gg)
    {
        this.gg = gg;
    }

    public String getGg()
    {
        return gg;
    }

    public void setNd(String nd)
    {
        this.nd = nd;
    }

    public String getNd()
    {
        return nd;
    }

    public void setKc(String kc)
    {
        this.kc = kc;
    }

    public String getKc()
    {
        return kc;
    }

    public void setKcdw(String kcdw)
    {
        this.kcdw = kcdw;
    }

    public String getKcdw()
    {
        return kcdw;
    }

    public void setLy(String ly)
    {
        this.ly = ly;
    }

    public String getLy()
    {
        return ly;
    }

    public void setCctj(String cctj)
    {
        this.cctj = cctj;
    }

    public String getCctj()
    {
        return cctj;
    }

    public void setCcwz(String ccwz)
    {
        this.ccwz = ccwz;
    }

    public String getCcwz()
    {
        return ccwz;
    }


    public void setSxr(Date sxr)
    {
        this.sxr = sxr;
    }

    public Date getSxr()
    {
        return sxr;
    }

    public void setPzrq(Date pzrq)
    {
        this.pzrq = pzrq;
    }

    public Date getPzrq()
    {
        return pzrq;
    }

    public String getNddw() {
        return nddw;
    }

    public void setNddw(String nddw) {
        this.nddw = nddw;
    }

    public void setYxzq(String yxzq) {
        this.yxzq = yxzq;
    }

    public String getYxzqdw() {
        return yxzqdw;
    }

    public void setYxzqdw(String yxzqdw) {
        this.yxzqdw = yxzqdw;
    }

    public String getSsbm() {
        return ssbm;
    }

    public void setSsbm(String ssbm) {
        this.ssbm = ssbm;
    }

    public String getYxzq() {
        return yxzq;
    }

    public Date getJyksrq() {
        return jyksrq;
    }

    public void setJyksrq(Date jyksrq) {
        this.jyksrq = jyksrq;
    }

    public Date getJyjsrq() {
        return jyjsrq;
    }

    public void setJyjsrq(Date jyjsrq) {
        this.jyjsrq = jyjsrq;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDasqrId() {
        return dasqrId;
    }

    public void setDasqrId(Long dasqrId) {
        this.dasqrId = dasqrId;
    }
}
